Developers

Update stage

PATCH
/project/stages/{id}

Update stage

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

Stage identifier

Request Body

The updated Stage resource

  1. body
name?string
Lengthlength <= 100
description?|
Lengthlength <= 100000
isBlameableRemovalEnabled?boolean
stageType?|
Formatuuid
dateStart?string
Formatdate-time
dateEnd?string
Formatdate-time

Response Body

Stage resource updated

  1. response
id?string
Formatuuid
name?string
Lengthlength <= 100
status?string
Value in"in-preparation""open"
description?|
Lengthlength <= 100000
dateStart?string
Formatdate-time
dateEnd?string
Formatdate-time
createdAt?string
Formatdate-time
updatedAt?string
Formatdate-time
progress?integer
Default0
weight?integer
timePlanned?integer
Default0
timeReported?integer
Default0
isBlameableRemovalEnabled?boolean
Defaultfalse
project?string
Formatuuid
projectName?string
Lengthlength <= 100
stageType?|null
canManage?boolean
Defaultfalse
boardCount?|
Defaultnull
Example Request
curl -X PATCH 'https://app.icproject.com/api/instance/demo/project/stages/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "status": "in-preparation",  "description": "string",  "dateStart": "2019-08-24T14:15:22Z",  "dateEnd": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "progress": 0,  "weight": 0,  "timePlanned": 0,  "timeReported": 0,  "isBlameableRemovalEnabled": false,  "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2",  "projectName": "string",  "stageType": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "decorator": "#78909c"  },  "canManage": false,  "boardCount": null}